Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class QTMIDIPortList

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.music.QTMIDIPortList

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class QTMIDIPortList
extends QTHandleRef
implements java.lang.Cloneable

Provides a list of ports used by the QuickTime synthesizer.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`int` | `getLength()` Return the name of the output port.
`QTMIDIPort` | `getPort(int index)` Return a port at the specified (one based) index.
`java.lang.String` | `toString()` String representation.

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLength

    public int getLength()

  Return the name of the output port.

### getPort

    public QTMIDIPort getPort(int index)
                       throws StdQTException

  Return a port at the specified (one based) index.
  Parameters:
    `index` - the index which contains the port to return.
  Returns:
    a QTMIDIPort found at the specified index.

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.

### toString

    public java.lang.String toString()

  String representation.
  Overrides:
    `toString` in class `QTHandleRef`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD